shishi_realm_for_server_file(3)

NAME
shishi_realm_for_server_file - API function

SYNOPSIS
#include <shishi.h>

char * shishi_realm_for_server_file(Shishi * handle, char * server);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

char * server
    Hostname to determine realm for.

DESCRIPTION
Finds the realm applicable to a host server, using the standard configuration file.

RETURN VALUE
Returns realm for host, or NULL if not known.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.